<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --agentid=<agentid> [optionalparams: --agenthost=<agenthost> --agentport=<agentport> --agentdesc=<agentdesc> --disksafeids=<disksafeids> ]";

include('../common/basicargcheck.php');

if ($argc < 2)
{ 
	usage($argv[0],$USAGE);
	exit(1);
}

#arguments
$AGENTHOST=$args_array['agenthost'];
$AGENTPORT=$args_array['agentport'];
$AGENTDESC=$args_array['agentdesc'];
$AGENTID=$args_array['agentid'];
$DISKSAFEIDS=$args_array['disksafeids'];

if(!$AGENTID)
{
	echo "ERROR: --agentid=<agentid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$agentObj = getAgents($USER,$PASS,$HOST,$PORT);

foreach($agentObj->return as $tmp)
{
	if($tmp->id == $AGENTID)
	{
		$agent = $tmp;
		break;
	}	
}

if($AGENTHOST)
{
	$agent->hostname = $AGENTHOST;
}

if($AGENTPORT)
{
	$agent->portNumber = $AGENTPORT;
}

if($AGENTDESC)
{
	$agent->description = $AGENTDESC;
}

if($DISKSAFEIDS)
{
	$agent->diskSafeIDs = $DISKSAFEIDS;
}

try{
	$client = new soapclient("https://$HOST:$PORT/Agent?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('Agent'=>'Agent')
		)
	);

	$client->updateAgent(array('agent'=>$agent));

	echo "Successfully executed updateAgent\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
