<?php
include('../common/parseargs.php');


include('../common/basicargcheck.php');

$USAGE=" --diskSafeID=<diskSafeID> --recoveryPointID=<recoveryPointID> ";

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$DISKSAFEID=$args_array['diskSafeID'];
$RECOVERYPOINTID=$args_array['recoveryPointID'];

if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --diskSafeID=<diskSafeID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($RECOVERYPOINTID) < 1) {
        echo "ERROR: --recoveryPointID=<recoveryPointID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

class DiskSafe
{
	public $id;
}

$diskSafeObj = new DiskSafe();
$diskSafeObj->id=$DISKSAFEID;

try{
	$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response = $client->getRecoveryPointByID(array('diskSafe'=>$diskSafeObj, 'recoveryPointID'=>$RECOVERYPOINTID)) ;
	var_dump($response);

	echo "Successfully executed getRecoveryPointByID\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
